Sign inGet started

Get Long Code Number Details

Get the details of a specific Long code nnumber that you own.
GET
/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}
This endpoint returns the information of a Long Code Number assigned to the workspace given its ID. You may use the EndpointID as well to search for your long code number.
Cuerpo de la respuesta
id
string
obligatorio
The unique identifier of the long code number. The endpoint ID is the same.
endpointId
string
obligatorio
The unique identifier of the endpoint. The long conde ID is the same.
numberString
string
obligatorio
The phone number in E.164 format.
countryCode
string
obligatorio
The country code in ISO 3166-1 alpha-2 format.
type
string
The type of long code number.
Possible values: local, national, toll-free, mobile
capabilities
object
obligatorio
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
Mostrar atributos secundarios
capabilities.voice
object
obligatorio
Mostrar atributos secundarios
capabilities.voice.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.voice.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
capabilities.sms
object
obligatorio
Mostrar atributos secundarios
capabilities.sms.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.sms.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
capabilities.mms
object
obligatorio
Mostrar atributos secundarios
capabilities.mms.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.mms.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
capabilities.whatsapp
object
Mostrar atributos secundarios
capabilities.whatsapp.inbound
boolean
obligatorio
Whether the number supports inbound use cases.
capabilities.whatsapp.outbound
boolean
obligatorio
Whether the number supports outbound use cases.
createdAt
string
obligatorio
updatedAt
string
obligatorio
order
object
The order that created this long code number. It contains information such as the capabilities, order status and type.
Mostrar atributos secundarios
order.countryCode
string
obligatorio
The country code in ISO 3166-1 alpha-2 format.
order.type
string
obligatorio
The type of long code number.
Possible values: local, national, toll-free, mobile
order.capabilities
array of string
obligatorio
order.prefix
string
order.status
string
obligatorio
Possible values: draft, submitted, processing, fulfilled, rejected, cancelled
order.createdAt
string
obligatorio
order.updatedAt
string
obligatorio
deprovisionAt
string
The date and time when the long code number should be deprovisioned.
endpoint
object
obligatorio
A representation of an endpoint. It contains details such as the capabilities, dependencies, and more.
Mostrar atributos secundarios
endpoint.id
string
obligatorio
The ID of the endpoint.
endpoint.type
string
obligatorio
The type of the endpoint. It can be a long code number, short code number, alpha number, ip pool, or rcs google agent.
Possible values: long-code-number, short-code-number, alpha-number, ip-pool, rcs-google-agent
endpoint.instanceId
string
obligatorio
The unique identifier of the instance.
endpoint.name
string
obligatorio
The name of the endpoint. For some cases it will be the number in international format as string.
endpoint.capabilities
array of object
obligatorio
Mostrar atributos secundarios
endpoint.capabilities.name
string
obligatorio
Possible values: sms
endpoint.capabilities.inbound
object
Mostrar atributos secundarios
endpoint.capabilities.inbound.status
string
obligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.inbound.issues
array of string
endpoint.capabilities.outbound
object
Mostrar atributos secundarios
endpoint.capabilities.outbound.status
string
obligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.outbound.destinationStatuses
object
Mostrar atributos secundarios
endpoint.capabilities.outbound.destinationStatuses.active
number
endpoint.capabilities.outbound.destinationStatuses.inactive
number
endpoint.capabilities.outbound.destinationStatuses.available
number
endpoint.capabilities.outbound.destinationStatuses.unavailable
number
endpoint.capabilities.outbound.supportsDestinations
boolean
Whether the number supports destinations
endpoint.capabilities.outbound.issues
array of string
endpoint.dependencies
array of object
The dependencies of the endpoint. It shows the connectors that the endpoint is connected to.
Mostrar atributos secundarios
endpoint.dependencies.type
string
Possible values: connector
endpoint.dependencies.connectorId
string
obligatorio
endpoint.dependencies.connectorTemplateRef
string
obligatorio
endpoint.dependencies.capabilities
array of string
endpoint.issues
array of string
endpoint.provisioningStatus
string
obligatorio
Possible values: provisioned, provisioning, deprovisioned, deprovisioning
endpoint.whatsApp
object
WhatsApp pre-verification details for this endpoint, if applicable. Only present for long code numbers from WhatsApp-capable providers.
Mostrar atributos secundarios
endpoint.whatsApp.whatsAppId
string
endpoint.whatsApp.status
string
WhatsApp number status
Possible values: unknown, already-exists, installed, verified, not-verified, expired
endpoint.whatsApp.stage
string
endpoint.whatsApp.attempt
integer
endpoint.whatsApp.nextAttemptAt
string
endpoint.whatsApp.verificationExpiresAt
string
endpoint.whatsApp.requestedCodeAt
string
endpoint.whatsApp.createdAt
string
endpoint.whatsApp.updatedAt
string
endpoint.createdAt
string
obligatorio
endpoint.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'